Get a wiki page
GET
/repos/{owner}/{repo}/wiki/page/{pageName}
const url = 'https://gitea.example.com/api/v1/repos/example/example/wiki/page/example';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/repos/example/example/wiki/page/example \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
pageName
required
string
Name of the page
Responses
Section titled “Responses”WikiPage
Media typeapplication/json
WikiPage a wiki page
object
commit_count
integer format: int64
content_base64
Page content, base64 encoded
string
footer
string
html_url
string
last_commit
WikiCommit page commit/revision
object
author
CommitUser contains information of a user in the context of a commit.
object
date
string
email
string format: email
name
string
commiter
CommitUser contains information of a user in the context of a commit.
object
date
string
email
string format: email
name
string
message
string
sha
string
sidebar
string
sub_url
string
title
string
Examplegenerated
{ "commit_count": 1, "content_base64": "example", "footer": "example", "html_url": "example", "last_commit": { "author": { "date": "example", "email": "hello@example.com", "name": "example" }, "commiter": { "date": "example", "email": "hello@example.com", "name": "example" }, "message": "example", "sha": "example" }, "sidebar": "example", "sub_url": "example", "title": "example"}APINotFound is a not found empty response
Media typeapplication/json